@import url("page-aside.css");
@import url("footer.css");

/*Remove decoration from anchor tags*/
a {
  text-decoration: none;
}

img {
  max-width: 100%;
}

/* General container */
.container {
  width: 100%;
  max-width: 1180px;
  margin: 0 auto;
}
/*The page header*/
.page-header {
  display: flex;
  flex-direction: column;
  gap: 20px;
  align-items: center;
  padding: 20px 40px;
}

@media(min-width:768px){
  .page-header{
    justify-content: space-between;
    flex-direction: row;
  }
}

/*the title of the webpage*/
.page-title {
  font-size: 25px;
  font-family: "PT Serif";
  font-weight: bold;
  text-transform: uppercase;
  position: relative;
  margin: 0;
}

/*the line under the title of the webpage*/
.page-title::before {
  content: "";
  width: 100%;
  height: 6px;
  background-color: #c9a96e;
  position: absolute;
  bottom: 3px;
  left: 0;
  z-index: -1;
}

/*the navbar*/
.page-header > nav {
  display: flex;
  gap: 20px;
  flex-wrap: wrap;
  align-items: center;
  justify-content: center;
  font-family: "PT Serif";
}
/*the links inside the nav bar*/
.page-header > nav > a {
  color: black;
}
/*active link inside the navbar*/
.page-header > nav > a.active {
  color: #c9a96e;
}
/*styles applied to link inside the navbar when we hover on it or it receives focus*/
.page-header > nav > a:hover,
.page-header > nav > a:focus {
  text-decoration: underline;
  color: #c9a96e;
}
/*hero background image*/
.hero {
  min-height: 50dvh;
  max-height: 1000px;
  position: relative;
  display: flex;
  align-items: flex-end;
  color: white;
}

@media(min-width:768px){
  .hero{
min-height: 80dvh;
  }
}

.hero > .container {
  padding: 40px;
}

/* hero image */
.hero::before {
  content: "";
  background-image: url("../images/hero-bg.png");
  position: absolute;
  inset: 0;
  transform: scaleX(-1);
  z-index: -1;
  background-position: bottom;
  background-size: cover;
}
/* hero gradient */
.hero::after {
  content: "";
  position: absolute;
  height: 40%;
  bottom: 0px;
  left: 0px;
  right: 0px;
  z-index: -1;
  background: linear-gradient(to bottom, transparent, rgba(0, 0, 0, 0.7));
}
/* hero article container */
.hero-article {
  font-family: "PT Serif";
  max-width: 450px;
}

.hero-article > span {
  font-family: "PT Sans";
}

.hero-article > h1 {
  margin: 10px 0;
}

.hero-article-meta {
  display: flex;
  gap: 20px;
}

.hero-article-author > span {
  color: #b4b4b4;
}

/*page main*/
.page-main {
  display: flex;
  flex-direction: column;
  gap: 40px;
  align-items: center;
  min-width: 0;
  flex-grow: 1;
}

/*Page container*/
.page-container {
  width: 100%;
  padding: 40px;
  display: flex;
  flex-direction: column;
  gap: 80px;
}

@media(min-width:768px){
  .page-container{
    flex-direction: row;
  }
}

/* Posts */
.posts-container {
  display: flex;
  flex-wrap: wrap;
  gap: 20px;
}

/* A single post */
.post {
  display: flex;
  flex-direction: column;
}

@media(min-width:1024px){
  .post{
    width: calc(50% - 10px);
  }
}

/* Image  inside a post*/
.post > img {
  height: 280px;
  object-fit: cover;
}

/* Post footer containing the category, title and meta */
.post-footer {
  display: flex;
  flex-direction: column;
  padding: 20px;
  box-shadow: 0px 0px 5px 1px rgba(177, 177, 177, 0.3);
  justify-content: center;
  align-items: center;
  text-align: center;
  font-family: "PT Serif";
  gap: 10px;
}

/* Post title */
.post-title {
  font-weight: normal;
  max-width: 80%;
  font-size: 20px;
  margin: 0;
}

/* Post Category */
.post-category {
  font-family: "PT Sans";
  color: #c9aa6f;
}

/* Post Meta*/
.post-meta {
  display: flex;
  gap: 10px;
  color: #666666;
}

.post-author > span {
  color: #b4b4b4;
}

.post-full-width {
  width: 100%;
}

/* Post with full width*/
.post-full-width > .post-footer {
  align-items: start;
  text-align: start;
}

/*Post excerpt*/
.post-excerpt {
  color: #666666;
  font-family: "PT Sans";
  max-width: 80%;
  margin: 0;
}

/*Posts Pagination*/
.posts-pagination {
  border: 1px solid #e5e5e5;
  padding: 18px;
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 20px;
}

/*Anchor tag inside posts pagination*/
.posts-pagination > a {
  color: black;
  display: flex;
  align-items: center;
  gap: 4px;
}

/*Inactive link*/
.posts-pagination > a.inactive {
  color: #a2a2a2;
}

/*Images*/
.image-container {
  display: flex;
  flex-direction: column;
  gap: 20px;
  padding: 20px 10px;
}

/*Instagram*/
.image-container > h3 {
  font-family: "PT Serif";
  font-weight: normal;
  text-align: center;
}

/*Row images*/
.row-image {
  display: flex;
  gap: 10px;
  overflow-x: scroll;
  scroll-snap-type: x mandatory;
}

/*Images inside the div*/
.row-image > img {
  flex-shrink: 0;
  scroll-snap-align: start;
  width: 100%;
  min-width: 0;
  aspect-ratio: 1 / 1;
  object-fit: cover;
  object-position: top center;
}

@media(min-width:768px){
  .row-image > img {
    flex: 1 0;
  }
}